"build virtual vector": add option to select files. Currently only layers

2015-11-24 08:39 AM - Armando Forlani

Status: Closed

Priority: Normal

Assignee: Luigi Pirelli

Category: Processing/QGIS

Pull Request or Patch supplied:No Resolution:
Description

QGIS geoalgorithms->Vector general tools->Build virtual vector

To allow the selection of vector files.

Similarly to gdalbuildvrt (Raster->Miscellaneous->Build Virtual Raster (Catalog) Or GDAL->Miscellaneous->Build Virtual Raster), which

allows for selecting shape files.

'Build virtual vector' does not allow selecting files. At the moment the user has to open all layers. For many tiles based vectors (e.g. shape

files or any other format) can be time consuming if not impossible (exceeds system resources).

Related issues:

Related to QGIS Application - Bug report # 14341: Processing: Build Virtual R... Closed 2016-02-20

History

#1 - 2015-11-25 10:22 AM - Filipe Dias

- Assignee changed from Victor Olaya to Luigi Pirelli

#2 - 2015-11-25 01:47 PM - Luigi Pirelli

This tool was introduced to override a problem using gdal/ogr commands that accept only a single filename as input. Were not possibile to pass a multiple

list of files.

The virtual layer would be a collection of layer. So probably it works correctly with this point of view.

btw, I'll be with the person who commited this feature next week... I hope he can add some more comments here

#3 - 2015-11-25 01:50 PM - Luigi Pirelli

sorry this comment wos for the other related issue

#4 - 2016-05-24 09:40 AM - Alexander Bruy

- Status changed from Open to Closed

Closing this in favour of generic ticket #14641
